<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nan_row_col_deletion.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_row_col_deletion" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nan_row_col_deletion</refname>
    <refpurpose>selects the rows and columns for removing any missing values.</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   [rix,cix] = nan_row_col_deletion(d)
   [rix,cix] = nan_row_col_deletion(d,c,w)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>Input:</term>
      <listitem><para> </para></listitem></varlistentry>
   <varlistentry><term>Output:</term>
      <listitem><para> </para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
d(rix,cix) does not contain any NaN's i.e. missing values
   </para>
   <para>
A heuristic based on maximizing the number of remaining sample values
is used. In other words, if there are more rows than columns, it is
more likely that a row-wise deletion will be applied and vice versa.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="nan_train_sc">nan_train_sc</link></member>
   <member><link linkend="nan_test_sc">nan_test_sc</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2009,2010 by Alois Schloegl a.schloegl@ieee.org</member>
   <member>H. Nahrstaedt - 2010</member>
   </simplelist>
</refsection>
</refentry>
